package com.qmth.exam.reserve.controller.student;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.exam.reserve.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "考生预约相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/student")
@Aac(strict = false, auth = true)
public class StudentApplyController extends BaseController {

    private static final Logger log = LoggerFactory.getLogger(StudentApplyController.class);

    @ApiOperation(value = "保存考生预约结果")
    @PostMapping(value = "/apply/save")
    public void save(@ApiParam("考点ID") @RequestParam Long examSiteId,
                     @ApiParam("预约时段ID") @RequestParam Long timePeriodId) {
        //todo
    }

    @ApiOperation(value = "取消考生预约结果")
    @PostMapping(value = "/apply/cancel")
    public void cancel(@ApiParam("预约ID") @RequestParam Long applyId) {
        //todo
    }

}
